POST API/Vehicle/RemoveVehicleService
Request Information
URI Parameters
None.
Body Parameters
VehicleServiceM| Name | Description | Type | Additional information |
|---|---|---|---|
| ID | globally unique identifier |
None. |
|
| Vehicle_ID | globally unique identifier |
None. |
|
| ServiceType_ID | integer |
None. |
|
| Description | string |
None. |
|
| Amount | integer |
None. |
|
| ExpireDate | date |
None. |
|
| CreateDate | date |
None. |
|
| UpdatePerson_ID | globally unique identifier |
None. |
|
| InstallationDate | date |
None. |
|
| Status | boolean |
None. |
|
| SendForExpens | Collection of SendForExpensM |
None. |
|
| documents | Collection of DocumentM |
None. |
|
| documentsForService | Collection of DocumentM |
None. |
Request Formats
application/json, text/json
Sample:
{
"ID": "c8d7a21a-87c8-448b-9e21-2a4c2e3a56f0",
"Vehicle_ID": "582d1c42-9acc-4a6c-a1d8-bca0d30ca573",
"ServiceType_ID": 3,
"Description": "sample string 4",
"Amount": 1,
"ExpireDate": "2026-03-18T05:00:14.9602071+05:00",
"CreateDate": "2026-03-18T05:00:14.9602071+05:00",
"UpdatePerson_ID": "f2e5dbf1-0074-44eb-aa77-bab7c8c48b5d",
"InstallationDate": "2026-03-18T05:00:14.9602071+05:00",
"Status": true,
"SendForExpens": [
{
"dtS": "2026-03-18T05:00:14.9602071+05:00",
"dtE": "2026-03-18T05:00:14.9602071+05:00",
"ID": "10479b25-cf28-4dbd-a57b-7e094d95a017",
"VehicleService_ID": "8e3b4c9e-a5f0-4311-8373-e8c82ec2389d",
"Department_ID": 3,
"Stock_ID": "070198b0-27b2-4332-93ca-10adf1c64023",
"UnitOfMeasurement": 5,
"Quantity": 6,
"InventoryNumber": 7,
"Price": 8,
"Sum": 9,
"CreateDate": "2026-03-18T05:00:14.9602071+05:00",
"UpdatePerson_ID": "0adfaa06-41f4-41bf-8676-c85e82ce6db1",
"UpdateDate": "2026-03-18T05:00:14.9602071+05:00",
"StockIncoming_ID": "9f9b04f5-c50e-40b7-9d9d-17786336528f",
"Stock": {
"ID": "6b29d702-2060-489a-9315-77f64c8e9a5a",
"Code": 2,
"Name": "sample string 3",
"CreateDate": "2026-03-18T05:00:14.9611614+05:00"
}
},
{
"dtS": "2026-03-18T05:00:14.9602071+05:00",
"dtE": "2026-03-18T05:00:14.9602071+05:00",
"ID": "10479b25-cf28-4dbd-a57b-7e094d95a017",
"VehicleService_ID": "8e3b4c9e-a5f0-4311-8373-e8c82ec2389d",
"Department_ID": 3,
"Stock_ID": "070198b0-27b2-4332-93ca-10adf1c64023",
"UnitOfMeasurement": 5,
"Quantity": 6,
"InventoryNumber": 7,
"Price": 8,
"Sum": 9,
"CreateDate": "2026-03-18T05:00:14.9602071+05:00",
"UpdatePerson_ID": "0adfaa06-41f4-41bf-8676-c85e82ce6db1",
"UpdateDate": "2026-03-18T05:00:14.9602071+05:00",
"StockIncoming_ID": "9f9b04f5-c50e-40b7-9d9d-17786336528f",
"Stock": {
"ID": "6b29d702-2060-489a-9315-77f64c8e9a5a",
"Code": 2,
"Name": "sample string 3",
"CreateDate": "2026-03-18T05:00:14.9611614+05:00"
}
}
],
"documents": [
{
"id": "2cd84410-af58-41f7-9835-d18965e76110",
"documentType": 1,
"fileName": "sample string 1",
"fileType": "sample string 2",
"fileContent": "QEA=",
"createDate": "2026-03-18T05:00:14.9611614+05:00"
},
{
"id": "2cd84410-af58-41f7-9835-d18965e76110",
"documentType": 1,
"fileName": "sample string 1",
"fileType": "sample string 2",
"fileContent": "QEA=",
"createDate": "2026-03-18T05:00:14.9611614+05:00"
}
],
"documentsForService": [
{
"id": "2cd84410-af58-41f7-9835-d18965e76110",
"documentType": 1,
"fileName": "sample string 1",
"fileType": "sample string 2",
"fileContent": "QEA=",
"createDate": "2026-03-18T05:00:14.9611614+05:00"
},
{
"id": "2cd84410-af58-41f7-9835-d18965e76110",
"documentType": 1,
"fileName": "sample string 1",
"fileType": "sample string 2",
"fileContent": "QEA=",
"createDate": "2026-03-18T05:00:14.9611614+05:00"
}
]
}
application/xml, text/xml
Sample:
<VehicleServiceM xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/CarPark.Models.Basic">
<Amount>1</Amount>
<CreateDate>2026-03-18T05:00:14.9602071+05:00</CreateDate>
<Description>sample string 4</Description>
<ExpireDate>2026-03-18T05:00:14.9602071+05:00</ExpireDate>
<ID>c8d7a21a-87c8-448b-9e21-2a4c2e3a56f0</ID>
<InstallationDate>2026-03-18T05:00:14.9602071+05:00</InstallationDate>
<SendForExpens>
<SendForExpensM>
<CreateDate>2026-03-18T05:00:14.9602071+05:00</CreateDate>
<Department_ID>3</Department_ID>
<ID>10479b25-cf28-4dbd-a57b-7e094d95a017</ID>
<InventoryNumber>7</InventoryNumber>
<Price>8</Price>
<Quantity>6</Quantity>
<Stock>
<Code>2</Code>
<CreateDate>2026-03-18T05:00:14.9611614+05:00</CreateDate>
<ID>6b29d702-2060-489a-9315-77f64c8e9a5a</ID>
<Name>sample string 3</Name>
</Stock>
<StockIncoming_ID>9f9b04f5-c50e-40b7-9d9d-17786336528f</StockIncoming_ID>
<Stock_ID>070198b0-27b2-4332-93ca-10adf1c64023</Stock_ID>
<Sum>9</Sum>
<UnitOfMeasurement>5</UnitOfMeasurement>
<UpdateDate>2026-03-18T05:00:14.9602071+05:00</UpdateDate>
<UpdatePerson_ID>0adfaa06-41f4-41bf-8676-c85e82ce6db1</UpdatePerson_ID>
<VehicleService_ID>8e3b4c9e-a5f0-4311-8373-e8c82ec2389d</VehicleService_ID>
<dtE>2026-03-18T05:00:14.9602071+05:00</dtE>
<dtS>2026-03-18T05:00:14.9602071+05:00</dtS>
</SendForExpensM>
<SendForExpensM>
<CreateDate>2026-03-18T05:00:14.9602071+05:00</CreateDate>
<Department_ID>3</Department_ID>
<ID>10479b25-cf28-4dbd-a57b-7e094d95a017</ID>
<InventoryNumber>7</InventoryNumber>
<Price>8</Price>
<Quantity>6</Quantity>
<Stock>
<Code>2</Code>
<CreateDate>2026-03-18T05:00:14.9611614+05:00</CreateDate>
<ID>6b29d702-2060-489a-9315-77f64c8e9a5a</ID>
<Name>sample string 3</Name>
</Stock>
<StockIncoming_ID>9f9b04f5-c50e-40b7-9d9d-17786336528f</StockIncoming_ID>
<Stock_ID>070198b0-27b2-4332-93ca-10adf1c64023</Stock_ID>
<Sum>9</Sum>
<UnitOfMeasurement>5</UnitOfMeasurement>
<UpdateDate>2026-03-18T05:00:14.9602071+05:00</UpdateDate>
<UpdatePerson_ID>0adfaa06-41f4-41bf-8676-c85e82ce6db1</UpdatePerson_ID>
<VehicleService_ID>8e3b4c9e-a5f0-4311-8373-e8c82ec2389d</VehicleService_ID>
<dtE>2026-03-18T05:00:14.9602071+05:00</dtE>
<dtS>2026-03-18T05:00:14.9602071+05:00</dtS>
</SendForExpensM>
</SendForExpens>
<ServiceType_ID>3</ServiceType_ID>
<Status>true</Status>
<UpdatePerson_ID>f2e5dbf1-0074-44eb-aa77-bab7c8c48b5d</UpdatePerson_ID>
<Vehicle_ID>582d1c42-9acc-4a6c-a1d8-bca0d30ca573</Vehicle_ID>
<documents>
<DocumentM>
<createDate>2026-03-18T05:00:14.9611614+05:00</createDate>
<documentType>1</documentType>
<fileContent>QEA=</fileContent>
<fileName>sample string 1</fileName>
<fileType>sample string 2</fileType>
<id>2cd84410-af58-41f7-9835-d18965e76110</id>
</DocumentM>
<DocumentM>
<createDate>2026-03-18T05:00:14.9611614+05:00</createDate>
<documentType>1</documentType>
<fileContent>QEA=</fileContent>
<fileName>sample string 1</fileName>
<fileType>sample string 2</fileType>
<id>2cd84410-af58-41f7-9835-d18965e76110</id>
</DocumentM>
</documents>
<documentsForService>
<DocumentM>
<createDate>2026-03-18T05:00:14.9611614+05:00</createDate>
<documentType>1</documentType>
<fileContent>QEA=</fileContent>
<fileName>sample string 1</fileName>
<fileType>sample string 2</fileType>
<id>2cd84410-af58-41f7-9835-d18965e76110</id>
</DocumentM>
<DocumentM>
<createDate>2026-03-18T05:00:14.9611614+05:00</createDate>
<documentType>1</documentType>
<fileContent>QEA=</fileContent>
<fileName>sample string 1</fileName>
<fileType>sample string 2</fileType>
<id>2cd84410-af58-41f7-9835-d18965e76110</id>
</DocumentM>
</documentsForService>
</VehicleServiceM>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
stringResponse Formats
application/json, text/json
Sample:
"sample string 1"
application/xml, text/xml
Sample:
<string xmlns="http://schemas.microsoft.com/2003/10/Serialization/">sample string 1</string>